[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDatabase.Destroy

Remove a TDatabase instance from memory.

## Declaration

Source position: db.pas line 1959

`public destructor TDatabase.Destroy; override;`

## Description

Destroy starts by disconnecting the database (thus closing all datasets and ending all transactions), then notifies all connected datasets and transactions that it is about to be released. After this, it releases all resources used by the TDatabase instance

## See also

TDatabase.CloseDatasets |  | Close all connected datasets

Documentation generated on: Feb 26 2014